#ifndef CCC_TIME_H
#define CCC_TIME_H

/****************************************************************************
** COPYRIGHT (C):    1995 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++ 
** FILE:             ccc_time.h
** PURPOSE:          defines the Time class
** VERSION           1.0
** PROGRAMMER:       Cay Horstmann (CSH)
** START DATE:       4-24-96
** UPDATE HISTORY:
**
****************************************************************************/

#line 17 "ccc_time.cpp"


#ifndef CCC_ANSI_H

   #include <ctime>
   #include <cassert>

#endif


class Time
{
public:
   Time(int hour, int min, int sec);
	Time();

	int get_hours() const;
	int get_minutes() const;
	int get_seconds() const;

   long seconds_from(Time t) const;
   void add_seconds(long s);

private:
   long time_in_secs;
};


#endif
