/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             stack.h
****************************************************************************/

#ifndef STACK_H
#define STACK_H

   #include "ccc_ansi.h"
   #ifndef CCC_ANSI_H

#include <vector>
#include <string>

using namespace std;

   #endif

class Stack
{
public:
	Stack();
	void push(string s);
	string pop();
	bool is_empty() const;
private:
	vector<string> data;
	int top;
};

#endif
