/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             fibtrace.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

long fib(int n)
/* PURPOSE:  Compute a Fibonacci number
   RECEIVES: n - an integer
   RETURNS:  the nth Fibonacci number
*/
{  cout << "Entering fib: n = " << n << "\n";
   long f;
   if (n <= 2) f = 1;
   else f = fib(n - 1) + fib(n - 2);
   cout << "Exiting fib: n = " << n
      << " return value = " << f << "\n";
   return f;
}

int main()
{  cout << "Enter n: ";
   int n;
   cin >> n;
   long f = fib(n);
   cout << "fib(" << n << ") = " << f << "\n";
   return 0;
}
