/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             converge.cpp
****************************************************************************/

#include "ccc_win.cpp"

int main()
{  double a = cwin.get_double("Please enter a number");
   if (a == 0) return 0;
   double xnew = a;
   double xold;
   int iteration = 0;
   const int MAX_ITERATIONS = 20;

   cwin.coord(0, a, MAX_ITERATIONS, -a);
   do
   {  xold = xnew;
      xnew = (xold + a / xold) / 2;
      cwin << Point(iteration, xnew);
      iteration++;
   } while (iteration < MAX_ITERATIONS);

   return 0;
}
