/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             plotdat1.cpp
****************************************************************************/

#include "ccc_win.cpp"

int main()
{  vector<string> names;
   vector<double> prices;
   vector<int> scores;
   string more;

   do
   {  string n = cwin.get_string("Product name:");
      names.push_back(n);
      double p = cwin.get_double("Price:");
      prices.push_back(p);
      int s = cwin.get_int("Score:");
      scores.push_back(s);
      more = cwin.get_string("More data? (y/n)");
   } while (more == "y");

   const double MAX_PRICE = 10000;
   const double MAX_SCORE = 100;

   cwin.coord(0, 0, MAX_PRICE, MAX_SCORE);

   int i;
   for (i = 0; i < names.size(); i++)
   {  Message label(Point(prices[i], scores[i]), names[i]);
      cwin << label.get_start() << label;
   }
   return 0;
}
