#ifndef CCC_EMPL_H
#define CCC_EMPL_H

/****************************************************************************
** COPYRIGHT (C):    1995...1998 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++ 2E
** FILE:             ccc_empl.h
** PURPOSE:          Employee class
** VERSION           2.0
** PROGRAMMER:       Cay Horstmann (CSH)
**                   Jiaoyang Zhou
** NOTE TO STUDENTS: Once you mastered chapter 8, you should be able
** to understand this file. Just ignore the EXPORT directives, though.
** They are used to automatically extract header files from source files.
****************************************************************************/

#line 18 "ccc_empl.cpp"


#ifndef CCC_ANSI_H
   #include <string>
#endif

class Employee
{
public:
	Employee();
   Employee(string employee_name, double initial_salary);
   void set_salary(double new_salary);
   double get_salary() const;
	string get_name() const;
private:
	string name;
   double salary;
};


#endif
