/****************************************************************************
** COPYRIGHT (C):    1998 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++ 2E
** FILE:             ccc_win.cpp
** PURPOSE:          Supply graphical output to cwin
** VERSION           2.0
** PROGRAMMERS:      Cay Horstmann (CSH)
**                   Darrel D. Cherry (DDC)
** NOTE TO STUDENTS: Do not attempt to study the contents of this file. You
** can, and should, use the services provided in this file without knowing
** the highly technical details of the implementation.
****************************************************************************/

#define EXPORT

#ifndef EXPORT

#include "ccc_ansi.h"

#ifndef CCC_ANSI_H
   #include <string>
   #include <vector>
   #include <iostream>
   #include <fstream>
   #include <cstdlib>
   #include <cmath>
   #include <ctime>
   #include <cassert>
   using namespace std;
   #define CCC_ANSI_H
#endif

#include "ccc_shap.h"

#if defined(_MSC_VER)
   #define CCC_MSW
#endif
#if defined(__GNUC__)
   #define CCC_X11
#endif
#if defined(_WINDOWS_) || defined (_Windows) || defined(WINVER) || defined(__WIN32__)
   #define CCC_MSW
#endif
#if (defined(__BORLANDC__) || defined(__TURBOC__)) && !defined(CCC_MSW)
   #define CCC_BGI
#endif

#if defined(CCC_ASC)
#include "ccc_asc.h"
#elif defined(CCC_BGI)
#include "ccc_bgi.h"
#elif defined(CCC_X11)
#include "ccc_x11.h"
#elif defined(CCC_MSW)
#include "ccc_msw.h"
#else
#include "ccc_asc.h"
#endif

#endif
   // EXPORT

#include "ccc_win.h"

#include "ccc_ansi.cpp"
   
#include "ccc_shap.cpp"
   
#if defined(CCC_ASC)
#include "ccc_asc.cpp"
#elif defined(CCC_BGI)
#include "ccc_bgi.cpp"
#elif defined(CCC_X11)
#include "ccc_x11.cpp"
#elif defined(CCC_MSW)
#include "ccc_msw.cpp"
#else
#include "ccc_asc.cpp"
#endif

