/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             area2.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <string>
#include <cmath>

using namespace std;

   #endif

int main()
{  double area;
   cout << "Please enter the area of a square: ";
   cin >> area;
   if (cin.fail())
   {  cout << "Error: bad input\n";
      return 1;
   }
   /* now we know that area is valid  */
   if (area < 0)
   {  cout << "Error: area cannot be negative\n";
      return 1;
   }
   /* now we know that area is >= 0  */

   cout << "The side length of the square is " << sqrt(area) << "\n";

   return 0;
}
