/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             hwdue2.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

#include "ccc_time.cpp"

int main()
{  cout << "Enter the time that the homework is due (hours minutes): ";
   int hours;
   int minutes;
   cin >> hours >> minutes;
   Time homework_due(hours, minutes, 0);
   Time now;

   if (now.get_hours() < homework_due.get_hours() or
         (now.get_hours() == homework_due.get_hours()
         and now.get_minutes() <= homework_due.get_minutes()))
      cout << "Still time to finish the homework.\n";
   else
      cout << "The homework is already past due.\n";

   return 0;
}

