/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             intsect3.cpp
****************************************************************************/

#include "ccc_win.cpp"

int main()
{  double radius = cwin.get_double("Radius: ");
   Circle c(Point(0, 0), radius);

   double b = cwin.get_double("Line position: ");
   Line s(Point(-10, b), Point(10, b));

   cwin << c << s;

   double r = radius * radius - b * b;

   if (r >= 0)
   {  double root = sqrt(r);

      Point p1(root, b);
      Point p2(-root, b);

      cwin << p1 << p2;
   }
   else
   {  Message error(Point(0, 0), "No intersection");
      cwin << error;
   }

   return 0;
}

