/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             richter.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <string>

using namespace std;

   #endif

int main()
{  cout << "Enter a magnitude on the Richter scale: ";
   double richter;
   cin >> richter;

   if (richter >= 8.0)
      cout << "Most structures fall\n";
   else if (richter >= 7.0)
      cout << "Many buildings destroyed\n";
   else if (richter >= 6.0)
      cout << "Many buildings considerably damaged, some collapse\n";
   else if (richter >= 4.5)
      cout << "Damage to poorly constructed buildings\n";
   else if (richter >= 3.5)
      cout << "Felt by many people, no destruction\n";
   else if (richter >= 0)
      cout << "Generally not felt by people\n";
   else
      cout << "Negative numbers are not valid\n";
   return 0;
}

