/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             whilefac.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

long factorial(int n)
/* PURPOSE:  Compute a factorial
   RECEIVES: n - a nonnegative integer
   RETURNS:  n!
   REMARKS:  the return type is long to avoid integer overflow
*/
{  int factor = 1;
   long product = 1;

   while (factor <= n)
   {  product = product * factor;
      factor++;
   }

   return product;
}

int main()
{  cout << "Please enter a number: ";
   int n;
   cin >> n;
   cout << n << "! = " << factorial(n) << "\n";
   return 0;
}
