/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             primebug.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

            #include "ccc_ansi.cpp"
            #ifndef CCC_ANSI_H

         #include <iostream>

         using namespace std;

            #endif

/*  1 */ bool isprime(int n)
         /* PURPOSE:  tests if an integer is a prime
            RECEIVES: n - any positive integer
            RETURNS:  true iff n is a prime
         */
/*  2 */ {  if (n == 2) return true;
/*  3 */    if (n % 2 == 0) return false;
/*  4 */    int k = 3;
/*  5 */    while (k * k < n)
/*  6 */    {  if (n % k == 0) return false;
/*  7 */       k = k + 2;
/*  8 */    }
/*  9 */    return true;
/* 10 */ }

/* 11 */ int main()
/* 12 */ {  int n;
            cout << "Please enter the upper limit: ";
/* 13 */    cin >> n;
/* 14 */    int i;
/* 15 */    for (i = 1; i <= n; i = i + 2)
/* 16 */    {  if (isprime(i))
/* 17 */          cout << i << "\n";
/* 18 */    }
/* 19 */    return 0;
/* 20 */ }
