/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             bargraph.cpp
****************************************************************************/

#include "ccc_win.cpp"

int main()
{  vector<double> salaries;
   bool more = true;
   while (more)
   {  double s = cwin.get_double("Please enter a salary, 0 to quit: ");
      if (s == 0)
         more = false;
      else
         salaries.push_back(s);
   }

   int i;

   double highest = salaries[0];
   for (i = 1; i < salaries.size(); i++)
      if (salaries[i] > highest)
         highest = salaries[i];

   cwin.coord(0, 0, highest, salaries.size());
   for (i = 0; i < salaries.size(); i++)
   {  Point left(0, i);
      Point right(salaries[i], i);
      Line bar(left, right);
      Message label(left, salaries[i]);
      cwin << bar << label;
   }

   return 0;
}
